## org.apache.poi.hwpf.model
Class GenericPropertyNode

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode<GenericPropertyNode>
          org.apache.poi.hwpf.model.GenericPropertyNode

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<GenericPropertyNode>

    @Internal
    public final class GenericPropertyNode

extends PropertyNode<GenericPropertyNode>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.PropertyNode
`_buf`

Constructor Summary
`GenericPropertyNode(int start, int end, byte[] buf)`

Method Summary
`byte[]` `getBytes()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`adjustForDelete, clone, compareTo, equals, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericPropertyNode

    public GenericPropertyNode(int start,
                               int end,
                               byte[] buf)

Method Detail

### getBytes

    public byte[] getBytes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.